Bug 830656 - inconsistent error message for wrapper command "rhc app cartridge"
inconsistent error message for wrapper command "rhc app cartridge"
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 02:21 EDT by Meng Bo
Modified: 2015-05-14 21:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:26:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-06-11 02:21:15 EDT
Description of problem:
when use "rhc app cartridge" with invalid cartridge types, will return inconsistent error message which match for the old CLI "rhc-ctl-app -e".

Version-Release number of selected component (if applicable):
rhc-0.94.3

How reproducible:
always

Steps to Reproduce:
1.create an app
2.try to embed invalid cartridge to the app
3.
  
Actual results:
[root@F17i386-openshift ~]# rhc app cartridge add -a php1 -c ttt
Password: 

Problem reported from server. Response code was 400.
Re-run with -d for more information.

RESULT:
Invalid type (-e|--embed) specified: 'ttt'.  Valid embedded types are xxxxxx.
             ^^^^^^^^^^^^

Expected results:
should be (-c|--cartridge)

Additional info:
Comment 1 Meng Bo 2012-06-19 03:34:35 EDT
Checked on rhc-0.94.5, issue has been fixed.

========


RESULT:
Invalid type (-c|--cartridge) specified: 'xxx'.  Valid cartridge types are (mongodb-2.0, cron-1.4, mysql-5.1, postgresql-8.4, haproxy-1.4, 10gen-mms-agent-0.1, phpmyadmin-3.4, metrics-0.1, phpmoadmin-1.0, rockmongo-1.1, jenkins-client-1.4).

Note You need to log in before you can comment on or make changes to this bug.